[SciPy-dev] 0.8 release date?

David Cournapeau david@silveregg.co...
Sun Feb 21 19:34:35 CST 2010


josef.pktd@gmail.com wrote:
> On Sun, Feb 21, 2010 at 12:28 PM, Warren Weckesser
> <warren.weckesser@enthought.com> wrote:
>> Is there currently a target date (even a tentative one) for the release
>> of 0.8?
> 
> And related, does scipy trunk stay numpy 1.4 compatible or will there
> be a numpy 2.0 requirement?

Scipy trunk requires at least the changes Pauli, Chuck and me have been 
working on for improving scipy.special.

At the source level, numpy 2.0 is compatible with numpy 1.4.0 AFAIK, and 
scipy does not use datetime, so the scipy trunk should not require numpy 
2.0. IOW, the story would be:
	- Scipy 0.7.2 (created from the 0.7.x svn branch): compatible with 
numpy >= 1.3.0 (including 2.0)
	- Scipy 0.8.0 (from trunk): compatible with numpy >= 1.4.0.

cheers,

David


More information about the SciPy-Dev mailing list